io.vertx.reactivex.ext.auth.jwt.authorization

## Class JWTAuthorization

- java.lang.Object
- - io.vertx.reactivex.ext.auth.authorization.AuthorizationProvider
  - - io.vertx.reactivex.ext.auth.jwt.authorization.JWTAuthorization

-     public class JWTAuthorization
      extends AuthorizationProvider

  Implementation of the JWT authorization provider.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<JWTAuthorization>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWTAuthorization(JWTAuthorization delegate)`
    `JWTAuthorization(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JWTAuthorization` | `create(String rootClaim)` Factory method to create a Authorization provider for JWT tokens.
    `boolean` | `equals(Object o)`
    `JWTAuthorization` | `getDelegate()`
    `int` | `hashCode()`
    `static JWTAuthorization` | `newInstance(JWTAuthorization arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.reactivex.ext.auth.authorization.AuthorizationProvider

      `create, getAuthorizations, getAuthorizations, getId, newInstance, rxGetAuthorizations`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<JWTAuthorization> __TYPE_ARG

  - ### Constructor Detail

    - #### JWTAuthorization

          public JWTAuthorization(JWTAuthorization delegate)

    - #### JWTAuthorization

          public JWTAuthorization(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AuthorizationProvider`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AuthorizationProvider`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AuthorizationProvider`

    - #### getDelegate

          public JWTAuthorization getDelegate()

      Overrides:
        `getDelegate` in class `AuthorizationProvider`

    - #### create

          public static JWTAuthorization create(String rootClaim)

      Factory method to create a Authorization provider for JWT tokens.
      Parameters:
        `rootClaim` - slash separated string to the json array with the claims.
      Returns:
        a AuthorizationProvider

    - #### newInstance

          public static JWTAuthorization newInstance(JWTAuthorization arg)

Copyright © 2020 Eclipse. All rights reserved.